Bug 438359 - JuK crashes on startup
JuK crashes on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 11:26 EDT by Philip Ashmore
Modified: 2009-01-09 01:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:14:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philip Ashmore 2008-03-20 11:26:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
JuK crashes on startup

Version-Release number of selected component (if applicable):
JuK crashes on startup

How reproducible:
Always


Steps to Reproduce:
1. Burn some CDs to hard disk - I used K3b to ogg/vorbis.
2. Open them in JuK and download cover art from the internet by right-clicking on a song. (this operation seemed unreliable; sometimes nothing would happen).
3. Sometimes JuK isn't smart enough to realize that album cover art should apply to all the songs in that album, so you have to repeat the operation for other songs.
4. Open the "Cover art manager" or whatever it's called (I can't remember the name and I can't run JuK - it's crashing) and remove the duplicate cover arts.
5. Assign the one remaining cover art image to all the songs in the album using drag and drop from the cover art manager to the multiple selection of the album's songs.
6. JuK crashes several times when I did this - another bug report?
7. Restart JuK.

Actual Results:
JuK crashes on startup

Expected Results:
It should have removed the cover art icon from those songs referencing the deleted cover art items.
It shouldn't have crashed during the drag-drop operation or at startup.

Additional info:
You may have to try several albums to find one where JuK gets confused and doesn't assign the album art to all the album tracks automatically.
Comment 1 Rex Dieter 2008-03-20 11:34:32 EDT
Yes, wish I head better news, but... juk just isn't very stable, sorry.  There's
a reason we don't install it by default (and put it into kdemm-extras).

That said, I'd encourage you to take your issues upstream to bugs.kde.org.

In the meantime, my only/best suggestion would be to use something
different/better, like amarok.
Comment 2 Philip Ashmore 2008-03-20 13:06:12 EDT
I was going to report this upstream but you're right - it doesn't compare to
amarok - I'm switching to that.

The only problem with amarok is that if Amazon doesn't have the album cover
image you're looking for, you're stuck.

Thanks.
Comment 3 Kevin Kofler 2008-03-20 19:10:53 EDT
Actually, Amarok's cover manager also allows you to add your own cover. As far 
as I can tell, it will also try to search for local .jpg files in the album's 
folder before querying Amazon. There's one limitation though: the tags have to 
set an album name, you can't set a cover for individual songs without a defined 
album name.
Comment 4 Lukáš Tinkl 2008-10-23 06:01:56 EDT
Is this still a problem with Juk in Fedora 9?
Comment 5 Philip Ashmore 2008-10-25 08:31:41 EDT
I've moved back to Fedora 8 until Fedora 9/KDE4 has all the features that I missed too much, so I can't comment.

But like I said in comment #2 https://bugzilla.redhat.com/show_bug.cgi?id=438359#c2
I switched to Amarok.
Comment 6 Bug Zapper 2008-11-26 05:14:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 01:14:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.